Bug 129539 - Krita should add Bicubic filter; better than Mitchell
Summary: Krita should add Bicubic filter; better than Mitchell
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 1.5.1
Platform: Debian testing Linux
: NOR wishlist
Target Milestone: ---
Assignee: Camilla Boemann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-21 03:40 UTC by Christopher Martin
Modified: 2009-02-13 20:22 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Martin 2006-06-21 03:40:15 UTC
Version:           1.5.1 (using KDE KDE 3.5.3)
Installed from:    Debian testing/unstable Packages
Compiler:          GCC 4.1.x 
OS:                Linux

Krita supports a number of filters for resizing images - Bell, Spline, Mitchell, etc. There is one important filter it doesn't support, Bicubic, which is similar to Mitchell but with changes for enhanced sharpness.

The GIMP supports it, and Gwenview as well (though only for viewing in Gwenview's case). I find it to be noticeably superior to Mitchell, and when trying to use Krita to resize images, I found myself stopping and going back to the GIMP to use Bicubic. I don't want to have to do this, really!

Hopefully it won't be too hard to add. Gwenview's code might be helpful:
http://websvn.kde.org/trunk/extragear/graphics/gwenview/imageutils/scale.cpp

Thanks,
Christopher Martin
Comment 1 Halla Rempt 2006-06-21 09:30:24 UTC
it should be fairly simple: krita has a scaling filter interface and it should be possible to implement a new filter very easily, once you understand the mathematics -- which I probably will never do.
Comment 2 mrdocs 2006-10-14 21:04:58 UTC
Seems like this bug is fixed in 1.6 final. I scaled using Bi-cubic and it worked fine for me. I'd recommend even it be the default. 
Comment 3 mrdocs 2006-10-15 00:33:16 UTC
Correction, I found Bi-cubic did not work right in 1.6 
Comment 4 Stefan Mueller 2006-12-31 11:46:26 UTC
3 days ago, I resized a large digikam pic to 450 width in krita for the web.

The result was unusable, it was blurred. Tried it with 2-3 different algos, but not very long. So I reszied it with gimp.
Comment 5 Stefan Mueller 2006-12-31 11:47:56 UTC
3 days ago, I resized a large digikam pic to 450 width in krita 1.6.1 for the web. 
 
 The result was unusable, it was blurred. Tried it with 2-3 different algos, but not very long. So I reszied it with gimp. 
Comment 6 Camilla Boemann 2009-02-13 20:22:05 UTC
SVN commit 925647 by boemann:

Disable Box, Mitchell,Lanczos3, BSpline,Bell scaling methods

Rename Triangle to Biliniar

Implement Bicubic (test shows it to be as good as photoshops), but it has a bug 
which gives some nasty sideeffect sometimes.

BUG:129539


 M  +38 -6     kis_filter_strategy.cc  
 M  +11 -1     kis_filter_strategy.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=925647